
spool e:\cocktail\Mangue\import_bx4\xml\affectations.xml
set heading off
set long 1000
set pagesize 0


PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <AFFECTATIONS>

SELECT XMLElement("AFFECTATION",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",				
				NO_SEQ_AFFECTATION "AFF_SOURCE",
				S.c_structure "STR_SOURCE",
				D_DEB_AFFECTATION "D_DEB_AFFECTATION",
				D_FIN_AFFECTATION "D_FIN_AFFECTATION",
				NUM_QUOT_AFFECTATION "NUM_QUOT_AFFECTATION"))
   FROM AFFECTATION A,INDIVIDU I,STRUCTURE S, PERSONNEL P, CODE_INSEE CI 
   WHERE I.NO_INDIVIDU = A.NO_DOSSIER_PERS
   AND I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS
   AND S.c_structure=A.c_structure;


PROMPT </AFFECTATIONS>
PROMPT </IMPORT>
spool off